listCreditNotes
List credit notes
Lists credit notes, newest first: refunds made here and refunds made in Stripe on payments it collected for invoices. Filter by customer (404 if no such customer) or by invoice.
Query Parameters
- Type: integerlimitmin:1max:100
How many records to return, 1 to 100.
- Type: integeroffsetmin:0
How many records to skip.
- Type: stringcustomer
Id Only this customer's records, by Spondo Billing ID (
cus_…). - Type: stringexternal
Customer Id Only this customer's records, by your ID for the customer. Ignored when
customerIdis set. - Type: stringinvoice
Id Only credit notes against this invoice.
Responses
- application/json
- application/json
Request Example for get/credit-notes
curl 'https://billing.getspondo.com/api/v1/credit-notes?invoiceId=inv_3Rk8Wq1Zp6Ty0Xm2' \
--header "Authorization: Bearer $SPONDO_API_KEY"
{
"data": [
{
"id": "cn_8Tq2Wv5Yn1Hk7Rb4",
"displayNumber": "INV-0042-CN1",
"invoiceId": "inv_3Rk8Wq1Zp6Ty0Xm2",
"customerId": "cus_Q2x9vB7mK4pT1sLw",
"amount": 1499,
"currency": "GBP",
"reason": "Money-back guarantee",
"refundMethod": "stripe",
"stripeRefundId": "re_3QmN8b2eZvKYlo2C1a9Xw0Pt",
"createdAt": "2026-11-10T15:02:44.118Z"
}
],
"pagination": {
"limit": 10,
"offset": 0,
"total": 1,
"hasMore": false
}
}